> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getswipe.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of customers



## OpenAPI

````yaml get /v1/customer/list
openapi: 3.0.1
info:
  title: SwipeAPI
  description: Partner API
  version: '2.0'
servers:
  - url: https://app.getswipe.in/api/partner
security:
  - bearerAuth: []
tags:
  - name: Document
    description: Document related operations
  - name: Customer
    description: Customer related operations
  - name: Payment
    description: Payment related operations
  - name: Product
    description: Product related operations
  - name: Utility
    description: Generic operations
  - name: Subscriptions
    description: Subscriptions related operations
  - name: Document V2
    description: Document related operations
  - name: Customer V2
    description: Customer related operations
  - name: Payment V2
    description: Payment related operations
  - name: Product V2
    description: Product related operations
  - name: Subscriptions V2
    description: Subscriptions related operations
  - name: Utility V2
    description: Generic operations
  - name: Vendor V2
    description: Vendor related operations
  - name: EwayBill
    description: EwayBill related operations
  - name: Inventory V2
    description: Inventory related operations
paths:
  /v1/customer/list:
    get:
      tags:
        - Customer
      summary: Get list of customers
      operationId: get_customer_list
      parameters:
        - name: num_records
          in: query
          description: >-
            Number of records to fetch, default : all customers will be sent in
            response
          schema:
            type: integer
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Customer List fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGETResponse'
        '400':
          description: Error in fetching Customer List
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerError'
components:
  schemas:
    ListGETResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Success flag
          example: true
        message:
          type: string
          description: Response message
          example: ''
        error_code:
          type: string
          description: Error Code
          example: ''
        errors:
          type: object
          properties: {}
          description: Errors
        data:
          $ref: '#/components/schemas/CustomerList'
    CustomerError:
      type: object
      properties:
        success:
          type: boolean
          description: Success flag
          example: false
        error_code:
          type: string
          description: Error Code
          example: INVALID_CUSTOMER_ID
        message:
          type: string
          description: Response message
          example: Error Message
        errors:
          type: object
          properties: {}
          description: Validation errors
          example: List of errors
    CustomerList:
      type: object
      properties:
        customers:
          type: array
          items:
            $ref: '#/components/schemas/CustomerListRecord'
        total_records:
          type: integer
          description: Total Records available
          example: 10
    CustomerListRecord:
      type: object
      properties:
        customer_id:
          type: string
          description: Customer ID
          example: CUST-2
        name:
          type: string
          description: Name of the Customer
          example: Customer
        phone:
          type: string
          description: Phone Number of the customer
          example: '1234567890'
        email:
          type: string
          description: Email of the customer
          example: john@doe.com
        gstin:
          type: string
          description: GSTIN of the customer
          example: ''
        swipe_id:
          type: string
          description: Swipe ID assigned to the customer
          example: '1'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````